$(document).ready(function () {

    $(window).resize(function (e) {
        var h = $(window).height();
        var w = $(window).width();
        // TODO: Возможно это значение придется изменить в зависимости от длинны тулбара
        if (w < 1380) {
            $('#rss, #vk, #fb, #ok, #tw, #in, #yo, #g').each(function () {
                $(this).hide();
            });
        } else {
            $('#rss, #vk, #fb, #ok, #tw, #in, #yo, #g').each(function () {
                $(this).show();
            });
        }
    });

    $('#logo, #gmail, #vk, #fb, #ok, #tw, #in, #yo, #g').each(function () {
        $(this).click(function (e) {
            onMenuItemClick(e.target.id);
        });
    });

    document.querySelector('#search-input').addEventListener('click', function (e) {
        var sinput = document.querySelector('#search-input');
        var q = sinput.value;
        if (q == 'Search through InstaForex website') {
            sinput.value = '';
        }
    });

    document.querySelector('#search-button').addEventListener('click', function (e) {
        var q = document.querySelector('#search-input').value;
        if (q) {
            onMenuItemClick(e.target.id, null, q);
        }
    });

    window.addEventListener('keydown', function (e) {
        var keycode;
        if (window.event) keycode = window.event.keyCode;
        else if (e) keycode = e.which;
        var e = e || window.event;
        if (keycode === 13) {
            document.getElementById('search-button').click();
        }
    }, false);

    function getProps(el, append) {
        var props = {
            item_id: el.attr('id'),
            left: el.offset().left,
            width: el.outerWidth()
        };
        return $.extend({}, props, append);
    }

    $(".button, #rss").each(function () {
        $(this).hover(function () {
                var params = getProps($(this), {id: 'FROM_TOOLBAR_TO_CONTENT', action: 'hover'});
                chrome.runtime.sendMessage(params);
            }, function () {
                var params = getProps($(this), {id: 'FROM_TOOLBAR_TO_CONTENT', action: 'leave'});
                chrome.runtime.sendMessage(params);
            }
        );
    });
    $("#quotes").each(function () {
        $(this).click(function () {
                var params = getProps($(this), {id: 'FROM_TOOLBAR_TO_CONTENT', action: 'hover'});
                chrome.runtime.sendMessage(params);
            }
        );
    });

    function checkGmailCounter() {
        chrome.runtime.sendMessage({id: 'TOOLBAR_NEEDS_GMAIL_COUNT_AND_RSS'}, function (response) {
            //console.log(response);
            var gmail = response.gmail;
            var rss = response.rss;

            //console.log(rss);
            if (rss) {
                var newsItemLast = rss[0].title;
                document.getElementById('rss').childNodes[1].nodeValue = newsItemLast.length <= 20 ? newsItemLast :
                    newsItemLast.slice(0, 20) + '...';
            }
            //console.log(rss);
            var gmail_check_was_successfull = gmail.hasOwnProperty('gmailUnreadCount');
            var badge = document.querySelector('#gmail em');
            if (gmail_check_was_successfull && gmail.gmailUnreadCount > 0) {
                badge.innerText = gmail.gmailUnreadCount;
                badge.style.visibility = 'visible';
            } else if (badge.style.visibility == 'visible') {
                badge.style.visibility = 'hidden';
            }
        });
    }

    setInterval(function () {
        checkGmailCounter();
    }, 3000);
    checkGmailCounter();

});